#include <bits/stdc++.h>

using namespace std;

vector<vector<int>> cur;
int ans = 0;

void rec(int i, int n, int k, vector<int>& a) {
    if (i == n) {
        int all = 0;
        for (int j = 0; j < k; j++) {
            int zen = 0;
            for (int l = 0; l < int(cur[j].size()); l++) {
                int curzen = cur[j][l] + l + 1;
                zen = max(zen, curzen);
            }
            all += zen;
        }
        ans = max(all, ans);
        return;
    }
    for (int j = 0; j < k; j++) {
        cur[j].push_back(a[i]);
        rec(i + 1, n, k, a);
        cur[j].pop_back();
    }
}

void solve() {
    int n, k; cin >> n >> k;
    vector<int> a(n);
    cur.resize(k);
    for (auto& i : a) cin >> i;
    rec(0, n, k, a);
    cout << ans << '\n';
}

int main() {
    ios::sync_with_stdio(false);
    cin.tie(nullptr);
    solve();
}
